function volumeOut = backwardXLFM1(projection, PSF_A, ROISize)


Nxy=size(PSF_A,1);
Nz=size(PSF_A,3);
NxyAdd = 0;
NxySub=0;


gpuTmp3=zeros(Nxy,Nxy,'single','gpuArray');
fft2_projection = fft2(gpuArray(projection));
volumeOut = zeros(2*ROISize, 2*ROISize, Nz, 'single', 'gpuArray');
for jj=1:Nz
    gpuTmp3=max(real(ifft2(fft2_projection.*conj(fft2(ifftshift((PSF_A(:,:,jj))))))),0);
    volumeOut(:,:,jj)= (gpuTmp3(Nxy/2-ROISize+1:Nxy/2+ROISize,Nxy/2-ROISize+1:Nxy/2+ROISize));

end

volumeOut = gather(volumeOut);