function Xguess = deconvSRLonestep( forwardFUN, backwardFUN, ImgExp, Xguess, lambdaD)

Xmax= max(Xguess(:));

HXguess = forwardFUN(Xguess);
errorH = ImgExp./(HXguess + 1e10*eps);
errorBack = backwardFUN(errorH);
Xguess = Xguess.*errorBack./(1 - lambdaD*(Xguess/Xmax));
Xguess(find(isnan(Xguess))) = eps;


